<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CustomerOutDTO.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">testing</a> &gt; <a href="index.source.html" class="el_package">com.softwaretesting.testing.dto.outbound</a> &gt; <span class="el_source">CustomerOutDTO.java</span></div><h1>CustomerOutDTO.java</h1><pre class="source lang-java linenums">/**
 * Outgoing Customer Record.
 * 
 *
 */

package com.softwaretesting.testing.dto.outbound;


import com.softwaretesting.testing.model.Customer;

public class CustomerOutDTO {

	private Long id;
	private String userName;
	private String name;
	private String phoneNumber;
	
<span class="nc" id="L19">	public CustomerOutDTO(Long id, String userName, String name, String phoneNumber) {</span>
<span class="nc" id="L20">		this.id = id;</span>
<span class="nc" id="L21">		this.userName = userName;</span>
<span class="nc" id="L22">		this.name = name;</span>
<span class="nc" id="L23">		this.phoneNumber = phoneNumber;</span>
<span class="nc" id="L24">	}</span>
	
<span class="nc" id="L26">	public CustomerOutDTO(Customer entity) {</span>
<span class="nc" id="L27">		this.id = entity.getId();</span>
<span class="nc" id="L28">		this.userName = entity.getUserName();</span>
<span class="nc" id="L29">		this.name = entity.getName();</span>
<span class="nc" id="L30">		this.phoneNumber = entity.getPhoneNumber();</span>
<span class="nc" id="L31">	}</span>

	public Long getId() {
<span class="nc" id="L34">		return id;</span>
	}

	public void setId(Long id) {
<span class="nc" id="L38">		this.id = id;</span>
<span class="nc" id="L39">	}</span>

<span class="nc" id="L41">	public String getUserName() {return userName;}</span>

<span class="nc" id="L43">	public void setUserName(String userName) {this.userName = userName;}</span>

	public String getName() {
<span class="nc" id="L46">		return name;</span>
	}

	public void setName(String name) {
<span class="nc" id="L50">		this.name = name;</span>
<span class="nc" id="L51">	}</span>

	public String getPhoneNumber() {
<span class="nc" id="L54">		return phoneNumber;</span>
	}

	public void setPhoneNumber(String phoneNumber) {
<span class="nc" id="L58">		this.phoneNumber = phoneNumber;</span>
<span class="nc" id="L59">	}</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.10.202304240956</span></div></body></html>